Advertising (This ad goes away for registered users. You can Login or Register)

[HELP] PSM on 3.18

The PlayStation Mobile SDK and Unity for PlayStation Mobile can be downloaded here: http://www.playstation.com/psm/
bodega
Posts: 187
Joined: Sat Mar 22, 2014 11:53 am
Location: Rome

[HELP] PSM on 3.18

Post by bodega » Thu May 14, 2015 10:29 pm

Hello everyone,
I'm sorry about my english but as some of you know i'm italian :P

I have a FAT PSVita on firmware 3.18 and had never used PSM.

Some times ago i had installed some PSM packages, and yesterday i went in Settings > System Settings > PSM:
2015-05-14-235153.jpg
2015-05-14-235153.jpg (58.43 KiB) Viewed 3819 times
Today i login with my PSN account on PSMobile site, and had applied for PSM license.
I am successfully registered as a PlayStation®Mobile Developer and PSM team is confirming my application at SCE (they will send me an email when the confirmation is done).

Am i waiting for the publisher key (like many other users) ?

Anyway, i had installed the PSM SDK 1.21.

Then i had installed the 1.0 PSM package with a proxy trick. When i tryed to open the PSM dev bubble it said that i need to update the app, so i had updated the PSM to 1.14 through the Package Installer, and now it doesn't ask me to update the app.
2015-05-14-235215.jpg
2015-05-14-235215.jpg (65.18 KiB) Viewed 3819 times
Now if i open PSM Publishing Utility, click on Key Management , click on a little icon with a key and + icon at the top, it ask me for a key name. After that i ask me to login, i login but i receive the error:

Failed to generate publisher key.
Entitlement check failed.
Check whether you have obtained the publisher license.


Is this error related to the fact that i am still waiting for the publisher key?

What i need to know is, If i receive the publisher key before the 25 of May would i be able to use / develop PSM app? Do i need to update to 3.50 / 3.51 to do that? If i don't receive that key, what i can do with PSM SDK? Could i even run the PSM exploit?
Could i run the Ball Maze demo?

thanks in advance to anyone will help me
Advertising
sorry 4 my bad english :)

Follow me on Twitter erBodega

User avatar
dmaskell92
Moderator
Posts: 1215
Joined: Tue Mar 12, 2013 5:07 pm
Location: New York

Re: [HELP] PSM on 3.18

Post by dmaskell92 » Thu May 14, 2015 11:45 pm

Yes i am in the same boat, you have not received your license yet, so the hand shake with $ony isn't verified yet.
Advertising
Does it quit? If not, then it's legit... Too legit.

Nvidia Shield Portable 48gb
Dreamcast: SEGA Sports - 80gb IDE HDD
4k PS3 Super Slim OFW 4.82
1k PSP: 6.60 ME-2.3
1K PSVita: Ensō 32GB - 64GB SD2VITA - 128GB PSVSD
Image

DPyro
Posts: 49
Joined: Thu May 14, 2015 3:13 pm
Location: Canada

Re: [HELP] PSM on 3.18

Post by DPyro » Tue May 19, 2015 7:35 pm

I'm getting error "playstation mobile developer license could not be confirmed". I have been verified though...

cheeyee09
Posts: 132
Joined: Sat Feb 28, 2015 7:31 am

Re: [HELP] PSM on 3.18

Post by cheeyee09 » Tue May 19, 2015 7:48 pm

Enable wifi and remove the proxy settings if you used it. PSM Dev app has to verify the dev license once. After that, you can disable wifi again. No worry, dev license verification won't force you to update FW.

DPyro
Posts: 49
Joined: Thu May 14, 2015 3:13 pm
Location: Canada

Re: [HELP] PSM on 3.18

Post by DPyro » Tue May 19, 2015 7:53 pm

Yep, that was it. I had to remove proxy.

Galebourn
Posts: 15
Joined: Fri Oct 10, 2014 7:36 pm

Re: [HELP] PSM on 3.18

Post by Galebourn » Sun May 24, 2015 3:19 am

Sorry for the question, but where did you get the package for PSM 1.0? I tried installing 1.14 on my FW3.18 vita through the package installer but it always says "promotion failed", so I'd like to try an older version.

DPyro
Posts: 49
Joined: Thu May 14, 2015 3:13 pm
Location: Canada

Re: [HELP] PSM on 3.18

Post by DPyro » Sun May 24, 2015 11:36 pm

You need to install 1.00 before you can install the patch.

1.00
1.14 Patch
Changelog

Unity Version
Unity Update
Changelog

youaho
Posts: 9
Joined: Mon Apr 01, 2013 1:05 pm

Re: [HELP] PSM on 3.18

Post by youaho » Mon May 25, 2015 12:38 am

i have the same problem faild when i instal update 1.14

Galebourn
Posts: 15
Joined: Fri Oct 10, 2014 7:36 pm

Re: [HELP] PSM on 3.18

Post by Galebourn » Mon May 25, 2015 12:47 am

DPyro wrote:You need to install 1.00 before you can install the patch.
Thanks for the help, but I tried the 1.00 pkg and it said "faild" as well. I can install other packages just fine, so it's not an error within the package manager.

youaho
Posts: 9
Joined: Mon Apr 01, 2013 1:05 pm

Re: [HELP] PSM on 3.18

Post by youaho » Mon May 25, 2015 12:52 am

what is the difference betwen PSM and unity version

Post Reply

Return to “PSM & PSM Unity”